This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 492353 - (CVE-2009-0793) CVE-2009-0793 lcms: Null pointer dereference (DoS) by handling transformations of monochrome profiles
CVE-2009-0793 lcms: Null pointer dereference (DoS) by handling transformation...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20090402,reported=20090325,sou...
: Security
Depends On: 493009 493010 493276 493277 833923
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 11:39 EDT by Marc Schoenefeld
Modified: 2016-03-31 06:01 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 06:01:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Lcms only null ptr dereference monochrome / gray input matrix shaper patch (741 bytes, patch)
2009-03-31 05:00 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Comment 9 Jan Lieskovsky 2009-04-06 06:18:57 EDT
A null pointer dereference flaw was found in LittleCMS by handling
transformations of monochrome profiles. An attacker could use this
flaw to create a specially-crafted image, which could cause an
application using LittleCMS to crash, leading to a denial of service.
Comment 10 errata-xmlrpc 2009-04-07 14:37:04 EDT
This issue has been addressed in the java-1.6.0-openjdk in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0377 https://rhn.redhat.com/errata/RHSA-2009-0377.html
Comment 11 Fedora Update System 2009-04-07 19:22:35 EDT
java-1.6.0-openjdk-1.6.0.0-0.25.b09.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-04-07 19:22:51 EDT
java-1.6.0-openjdk-1.6.0.0-15.b14.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-08 23:57:43 EDT
lcms-1.18-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-09 00:02:07 EDT
lcms-1.18-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Josh Bressers 2010-01-04 16:37:46 EST
Bug 542412 seems to suggest the lcms-1.18-3.fc12 patch is wrong.
Comment 16 Josh Bressers 2011-07-26 14:01:48 EDT
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.